Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.coherence.transaction
Interface TransactionState

      public interface TransactionState

Provides information about a transaction.

Since:
  Coherence 3.6
Author:
  js 2009.06.01

Method Summary
`Isolation` | `getIsolation()` Obtain isolation level of the transaction.
`Status` | `getStatus()` Obtain the status of the transaction.
`TransactionId` | `getXid()` Obtain the unique transaction identifier.
`boolean` | `isAutoCommit()` Obtain the auto-commit status of the transaction.

Method Detail

### getIsolation

    Isolation getIsolation()

  Obtain isolation level of the transaction. <p/> The isolation will be one of the following values:
  - Isolation.READ_COMMITTED
  - Isolation.STMT_CONSISTENT_READ
  - Isolation.TX_CONSISTENT_READ
  Returns:
    the isolation level

### getXid

    TransactionId getXid()

  Obtain the unique transaction identifier.
  Returns:
    the transaction identifier

### getStatus

    Status getStatus()

  Obtain the status of the transaction. <p/> The status will be one of the following values:
  - Status.ACTIVE
  - Status.COMMITTING
  - Status.ROLLINGBACK
  - Status.COMMITTED
  - Status.ROLLEDBACK
  - Status.ROLLBACK_ONLY
  - Status.PREARED
  - Status.ERROR
  Returns:
    the status of the transaction

### isAutoCommit

    boolean isAutoCommit()

  Obtain the auto-commit status of the transaction.
  Returns:
    true if the transaction is in auto-commit mode; false otherwise

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.